#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private BD.MarketForecast[] cacheMarketForecast;

		
		public BD.MarketForecast MarketForecast()
		{
			return MarketForecast(Input);
		}


		
		public BD.MarketForecast MarketForecast(ISeries<double> input)
		{
			if (cacheMarketForecast != null)
				for (int idx = 0; idx < cacheMarketForecast.Length; idx++)
					if ( cacheMarketForecast[idx].EqualsInput(input))
						return cacheMarketForecast[idx];
			return CacheIndicator<BD.MarketForecast>(new BD.MarketForecast(), input, ref cacheMarketForecast);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.BD.MarketForecast MarketForecast()
		{
			return indicator.MarketForecast(Input);
		}


		
		public Indicators.BD.MarketForecast MarketForecast(ISeries<double> input )
		{
			return indicator.MarketForecast(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.BD.MarketForecast MarketForecast()
		{
			return indicator.MarketForecast(Input);
		}


		
		public Indicators.BD.MarketForecast MarketForecast(ISeries<double> input )
		{
			return indicator.MarketForecast(input);
		}

	}
}

#endregion
